unit VrTaskDronePOFFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TVRTaskDronePOFForm = class(TForm)
    ILHEdit: TEdit;
    ILHBtn: TSpeedButton;
    Label12: TLabel;
    Label10: TLabel;
    Fractal3DBtn: TSpeedButton;
    Fractal3DEdit: TEdit;
    LifeEdit: TEdit;
    LifeBtn: TSpeedButton;
    Label11: TLabel;
    Label6: TLabel;
    VOICEBtn: TSpeedButton;
    VOICEEdit: TEdit;
    TracerEdit: TEdit;
    TracerBtn: TSpeedButton;
    Label7: TLabel;
    Label9: TLabel;
    DTMBtn: TSpeedButton;
    DTMEdit: TEdit;
    GripIceEdit: TEdit;
    GripIceBtn: TSpeedButton;
    Label8: TLabel;
    Label5: TLabel;
    SOSMAPBtn: TSpeedButton;
    SOSMAPEdit: TEdit;
    VRGISEdit: TEdit;
    VRGISBtn: TSpeedButton;
    Label13: TLabel;
    Label14: TLabel;
    NoNameEdit: TEdit;
    NoNamePathBtn: TSpeedButton;
    POHelpBtn: TSpeedButton;
    POM_ResetMenuBtn: TSpeedButton;
    CloseBitBtn: TBitBtn;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    ILHIPEdit: TEdit;
    Fractal3DIPEdit: TEdit;
    LifeIPEdit: TEdit;
    VOICEIPEdit: TEdit;
    TracerIPEdit: TEdit;
    DTMIPEdit: TEdit;
    GripIceIPEdit: TEdit;
    SOSMAPIPEdit: TEdit;
    VRGISIPEdit: TEdit;
    NoNameIPEdit: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    ImageBtn: TSpeedButton;
    ImageEdit: TEdit;
    ImageIPEdit: TEdit;
    Label4: TLabel;
    LocatableBtn: TSpeedButton;
    LocatableEdit: TEdit;
    LocatableIPEdit: TEdit;
    Label15: TLabel;
    HolographicsBtn: TSpeedButton;
    HolographicsEdit: TEdit;
    HolographicsIPEdit: TEdit;
    procedure CloseBitBtnClick(Sender: TObject);
    procedure POHelpBtnClick(Sender: TObject);
    procedure POM_ResetMenuBtnClick(Sender: TObject);
    procedure ILHBtnClick(Sender: TObject);
    procedure Fractal3DBtnClick(Sender: TObject);
    procedure LifeBtnClick(Sender: TObject);
    procedure VOICEBtnClick(Sender: TObject);
    procedure TracerBtnClick(Sender: TObject);
    procedure DTMBtnClick(Sender: TObject);
    procedure GripIceBtnClick(Sender: TObject);
    procedure SOSMAPBtnClick(Sender: TObject);
    procedure VRGISBtnClick(Sender: TObject);
    procedure NoNamePathBtnClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
procedure Showem;
    procedure ILHIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ImageIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure LocatableIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure HolographicsIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Fractal3DIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure LifeIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure VOICEIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure TracerIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure DTMIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure GripIceIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure SOSMAPIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure VRGISIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure NoNameIPEditKeyUp(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure ILHIPEditChange(Sender: TObject);
    procedure ImageIPEditChange(Sender: TObject);
    procedure ImageBtnClick(Sender: TObject);
    procedure LocatableBtnClick(Sender: TObject);
    procedure HolographicsBtnClick(Sender: TObject);
    procedure LocatableIPEditChange(Sender: TObject);
    procedure HolographicsIPEditChange(Sender: TObject);
    procedure Fractal3DIPEditChange(Sender: TObject);
    procedure LifeIPEditChange(Sender: TObject);
    procedure VOICEIPEditChange(Sender: TObject);
    procedure TracerIPEditChange(Sender: TObject);
    procedure DTMIPEditChange(Sender: TObject);
    procedure GripIceIPEditChange(Sender: TObject);
    procedure SOSMAPIPEditChange(Sender: TObject);
    procedure VRGISIPEditChange(Sender: TObject);
    procedure NoNameIPEditChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }

  end;

var
  VRTaskDronePOFForm: TVRTaskDronePOFForm;

implementation

uses VRTaskDroneFrm;

{$R *.DFM}

procedure TVRTaskDronePOFForm.FormCreate(Sender: TObject);
begin
  left := POFFormX;
  top := POFFormY;
end;
procedure TVRTaskDronePOFForm.FormShow(Sender: TObject);
begin
  Showem;
end;

procedure TVRTaskDronePOFForm.CloseBitBtnClick(Sender: TObject);
begin
Close;
end;
procedure TVRTaskDronePOFForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  POFFormX := VRTaskDronePOFForm.left;
  POFFormY := VRTaskDronePOFForm.top;
  ModalResult := mrOK;
end;


procedure TVRTaskDronePOFForm.POHelpBtnClick(Sender: TObject);
begin
  Showmessage('See VR GIS for Help');
  {Application.HelpContext(50);}
end;

procedure TVRTaskDronePOFForm.POM_ResetMenuBtnClick(Sender: TObject);
begin
  VRTaskDroneForm.ResetDirectoriesDefaults;
  Showem;
end;


procedure TVRTaskDronePOFForm.Showem;
begin
  ILHIPEdit.Text:=ILHallIPPort;
    ImageIPEdit.Text:=ImageIPPort;
    LocatableIPEdit.Text:=LocatableIPPort;
    HolographicsIPEdit.Text:=HolographicsIPPort;
  Fractal3DIPEdit.Text:=Fractal3DIPPort;
  LifeIPEdit.Text:=LifeIPPort;
  VOICEIPEdit.Text:=VOICEIPPort;
  TracerIPEdit.Text:=TracerIPPort;
  DTMIPEdit.Text:=DTMIPPort;
  GripIceIPEdit.Text:=GripIceIPPort;
  SOSMAPIPEdit.Text:=SOSMAPIPPort;
  VRGISIPEdit.Text:=VRGISIPPort;
  NoNameIPEdit.Text:=NoNameIPPort;

{  VRMProgramPath := ExtractFilePath(ParamStr(0)); }
  Fractal3DEdit.Text:=Fractal3DPath;
  LifeEdit.Text:=LifePath;
  SOSMAPEdit.Text:=SOSMAPPath;
  TracerEdit.Text:=TracerPath;
  VRGISEdit.Text:=VRGISPath;
  DTMEdit.Text:=DTMPath;
  GripIceEdit.Text:=GripPath;
  VOICEEdit.Text:=  VOICEPath;
  NoNameEdit.Text:=  NoNamePath;
  ILHEdit.Text:=ILHallPath;
    ImageEdit.Text:=ImagePath;
    LocatableEdit.Text:=LocatablePath;
    HolographicsEdit.Text:=HolographicsPath;
{  ProjectNameEdit.Text:=ProjectName;}
{  MapNameEdit.Text:=MapName;}
{  ProjectsEdit.Text := ProjectPath;
  NoNameEdit.Text := NoNamePath;
  TigerEdit.Text := TigerPath;
  DemEdit.Text := DemPath;
  MapEdit.Text:=MapsPath;
  HTFEdit.Text := HTFPath;
  DLGEdit.Text := DLGPath;
  DXFEdit.Text := DXFPath;
  ShapeEdit.Text := ShapePath;
  VectorDbEdit.Text := VRMDatabase;
  BaseImagesEdit.Text := ImagePath;
  ThumbEdit.Text :=ThumbPath;  }
end;


procedure TVRTaskDronePOFForm.ILHBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'ILH Programs (*.exe)|*.exe';
  OpenDialog1.InitialDir := ILHallPath;
  OpenDialog1.Filename:='ilh.exe';
  if OpenDialog1.execute then
  begin
    ILHallPath := (OpenDialog1.filename);
    ILHEdit.Text := ILHallPath;
  end;
end;

procedure TVRTaskDronePOFForm.ImageBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'Image Programs (*.exe)|*.exe';
  OpenDialog1.InitialDir := ImagePath;
  OpenDialog1.Filename:='Image.exe';
  if OpenDialog1.execute then
  begin
    ImagePath := (OpenDialog1.filename);
    ImageEdit.Text := ImagePath;
  end;
end;
       
procedure TVRTaskDronePOFForm.LocatableBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'Locatable Programs (*.exe)|*.exe';
  OpenDialog1.InitialDir := LocatablePath;
  OpenDialog1.Filename:='Locatable.exe';
  if OpenDialog1.execute then
  begin
    LocatablePath := (OpenDialog1.filename);
    LocatableEdit.Text := LocatablePath;
  end;
end;

procedure TVRTaskDronePOFForm.HolographicsBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'Holographics Programs (*.exe)|*.exe';
  OpenDialog1.InitialDir := HolographicsPath;
  OpenDialog1.Filename:='Holographics.exe';
  if OpenDialog1.execute then
  begin
    HolographicsPath := (OpenDialog1.filename);
    HolographicsEdit.Text := HolographicsPath;
  end;
end;

procedure TVRTaskDronePOFForm.Fractal3DBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'Fractal3D Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := Fractal3DPath;
  OpenDialog1.Filename:='Fractl3D.exe';
  if OpenDialog1.execute then
  begin
    Fractal3DPath := (OpenDialog1.filename);
    Fractal3DEdit.Text := Fractal3DPath;
  end;
end;

procedure TVRTaskDronePOFForm.LifeBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'Life Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := LifePath;
  OpenDialog1.Filename:='Life.exe';
  if OpenDialog1.execute then
  begin
    LifePath := (OpenDialog1.filename);
    LifeEdit.Text := LifePath;
  end;
end;

procedure TVRTaskDronePOFForm.VOICEBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'VOICE Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := VectorPath;
  OpenDialog1.Filename:='voice.exe';
  if OpenDialog1.execute then
  begin
    VectorPath := (OpenDialog1.filename);
    VOICEEdit.Text := VectorPath;
  end;
end;

procedure TVRTaskDronePOFForm.TracerBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'Tracer Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := TracerPath;
  OpenDialog1.Filename:='Tracer.exe';
  if OpenDialog1.execute then
  begin
    TracerPath := (OpenDialog1.filename);
    TracerEdit.Text := TracerPath;
  end;
end;

procedure TVRTaskDronePOFForm.DTMBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'DTM Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := DTMPath;
  OpenDialog1.Filename:='dtm.exe';
  if OpenDialog1.execute then
  begin
    DTMPath := (OpenDialog1.filename);
    DTMEdit.Text := DTMPath;
  end;
end;

procedure TVRTaskDronePOFForm.GripIceBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'GripIce Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := GripPath;
  OpenDialog1.Filename:='grip.exe';
  if OpenDialog1.execute then
  begin
    GripPath := (OpenDialog1.filename);
    GripIceEdit.Text := GripPath;
  end;
end;

procedure TVRTaskDronePOFForm.SOSMAPBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'SOSMAP Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := SOSMAPPath;
  OpenDialog1.Filename:='sosmap.exe';
  if OpenDialog1.execute then
  begin
    SOSMAPPath := (OpenDialog1.filename);
    SOSMAPEdit.Text := SOSMAPPath;
  end;
end;

procedure TVRTaskDronePOFForm.VRGISBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'VRGIS Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := VRGISPath;
  OpenDialog1.Filename:='vrgis.exe';
  if OpenDialog1.execute then
  begin
    VRGISPath := (OpenDialog1.filename);
    VRGISEdit.Text := VRGISPath;
  end;
end;

procedure TVRTaskDronePOFForm.NoNamePathBtnClick(Sender: TObject);
begin
  OpenDialog1.Filter := 'NoName Program (*.exe)|*.exe';
  OpenDialog1.InitialDir := NoNamePath;
  OpenDialog1.Filename:='*.exe';
  if OpenDialog1.execute then
  begin
    NoNamePath := (OpenDialog1.filename);
    NoNameEdit.Text := NoNamePath;
  end;
end;
{---------------------------------------------------------------------}
{---------------------------------------------------------------------}




procedure TVRTaskDronePOFForm.ILHIPEditKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then ILHIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then ILHIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.ImageIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then ImageIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then ImageIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.LocatableIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then LocatableIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then LocatableIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.HolographicsIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then HolographicsIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then HolographicsIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.Fractal3DIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then Fractal3DIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then Fractal3DIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.LifeIPEditKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then LifeIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then LifeIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.VOICEIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then VOICEIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then VOICEIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.TracerIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then TracerIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then TracerIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.DTMIPEditKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then DTMIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then DTMIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.GripIceIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then GripIceIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then GripIceIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.SOSMAPIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then SOSMAPIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then SOSMAPIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.VRGISIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then VRGISIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then VRGISIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.NoNameIPEditKeyUp(Sender: TObject;
  var Key: Word; Shift: TShiftState);
begin
  if (ssCtrl in Shift)and ((Chr(Key)='v') or (Chr(Key)='V'))
      then NoNameIPEdit.PasteFromClipboard else
  if (ssCtrl in Shift)and ((Chr(Key)='c') or (Chr(Key)='C'))
      then NoNameIPEdit.CopyToClipboard;
end;

procedure TVRTaskDronePOFForm.ILHIPEditChange(Sender: TObject);
begin
  ILHallIPPort:=ILHIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.ImageIPEditChange(Sender: TObject);
begin
    ImageIPPort:=ImageIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.LocatableIPEditChange(Sender: TObject);
begin
  LocatableIPPort:=LocatableIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.HolographicsIPEditChange(Sender: TObject);
begin
  HolographicsIPPort:=HolographicsIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.Fractal3DIPEditChange(Sender: TObject);
begin
    Fractal3DIPPort:=Fractal3DIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.LifeIPEditChange(Sender: TObject);
begin
    LifeIPPort:=LifeIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.VOICEIPEditChange(Sender: TObject);
begin
    VOICEIPPort:=VOICEIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.TracerIPEditChange(Sender: TObject);
begin
    TracerIPPort:=TracerIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.DTMIPEditChange(Sender: TObject);
begin
    DTMIPPort:=DTMIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.GripIceIPEditChange(Sender: TObject);
begin
    GripIceIPPort:=GripIceIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.SOSMAPIPEditChange(Sender: TObject);
begin
    SOSMAPIPPort:=SOSMAPIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.VRGISIPEditChange(Sender: TObject);
begin
    VRGISIPPort:=VRGISIPEdit.Text;
end;

procedure TVRTaskDronePOFForm.NoNameIPEditChange(Sender: TObject);
begin
    NoNameIPPort:=NoNameIPEdit.Text;
end;

end.
